=== debian/changelog ===
gexiv2 (0.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.
  * debian/watch:
    - Scan stable releases only.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Jun 2010 00:41:43 +0200

gexiv2 (0.0.91-2) unstable; urgency=low

  * debian/libgexiv2-dev.install:
    - Install .pc file.
    - Install Vala API file.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 17 Jun 2010 23:21:50 +0200

gexiv2 (0.0.91-1) unstable; urgency=low

  * Initial release (Closes: #585602).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Jun 2010 11:21:55 +0200
