=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
Standards-Version: 3.9.0
Homepage: http://trac.yorba.org/wiki/gexiv2
Vcs-Git: git://git.debian.org/collab-maint/gexiv2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gexiv2.git;a=summary

Package: libgexiv2-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgexiv2-0 (= ${binary:Version}), libexiv2-dev
Description: GObject-based wrapper around the Exiv2 library (development files)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgexiv2-0 (= ${binary:Version})
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.
