=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-0 (>= 0.0.91)'

override_dh_strip:
	dh_strip --dbg-package=libgexiv2-0-dbg
