=== debian/changelog ===
gexiv2 (0.2.0-0ubuntu2.1) maverick-proposed; urgency=low

  * debian/patches/do_not_crash_when_importing_images.patch:
    - do not crash when importing files with zero size
      ExifImage.Orientation field (LP: #636161)

 -- Omer Akram <om26er@ubuntu.com>  Sat, 20 Nov 2010 15:15:16 +0500

gexiv2 (0.2.0-0ubuntu2) maverick; urgency=low

  * debian/libgexiv2-dev.install:
    - Fix incorrect directory move

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 10:18:25 +1000

gexiv2 (0.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/libgexiv2-dev.install:
    - Move vala directory to /usr/share/vala-0.10
  * debian/watch:
    - Update download location

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Aug 2010 09:52:14 +1000

gexiv2 (0.1.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Aug 2010 13:40:51 +1000

gexiv2 (0.1.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Add Vcs-Bzr link
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 10:08:51 +1000
