=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
 Standards-Version: 3.9.0
 Homepage: http://trac.yorba.org/wiki/gexiv2
-Vcs-Git: git://git.debian.org/collab-maint/gexiv2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gexiv2.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gexiv2/ubuntu
 
 Package: libgexiv2-0
 Architecture: any
