=== debian/changelog ===
gexiv2 (0.2.2-6) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Add DM-Upload-Allowed field.
  * debian/libgexiv2-dev.install:
    - Install .vapi file in versionless /usr/share/vala/vapi directory,
      thanks Martin Pitt for the bug report! (Closes: #649072).
  * debian/rules:
    - Pass --dbg-package=libgexiv2-0-dbg to dh instead of providing an
      override for dh_strip.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 19 Nov 2011 11:16:23 +0100

gexiv2 (0.2.2-5) unstable; urgency=low

  * Team upload
  * Rebuild to solve a double free issue with shotwell (Closes: #624630).
  * debian/control:
    - Add Debian Shotwell Maintainers to Maintainers.
    - Move Devid to Uploaders.
    - Bump Standards-Version to 3.9.2.
    - Adjust Homepage field to new website location.
  * debian/libgexiv2-0.symbols.amd64:
    - Refresh symbol file (Closes: #625168).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 21 Aug 2011 11:26:50 +0200

gexiv2 (0.2.2-4) unstable; urgency=low

  * debian/libgexiv2-dev.install: install *.vapi files also in vala-0.12/vapi
    dir.
  * debian/rules: add override_dh_installchangelogs target.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 08 Apr 2011 23:22:39 +0200

gexiv2 (0.2.2-3) unstable; urgency=medium

  * Update debian/libgexiv2-0.symbols.amd64 file (Closes: #618244).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 19 Mar 2011 15:00:56 +0100

gexiv2 (0.2.2-2) unstable; urgency=low

  * Upload to unstable.
  * Add debian/libgexiv2-0.symbols.amd64 file.
  * Remove debian/libgexiv2-0.symbols.i386 file.
  * debian/rules: update dh_makeshlibs call.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 28 Feb 2011 22:57:47 +0100

gexiv2 (0.2.2-1) experimental; urgency=low

  * New upstream release.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 07 Jan 2011 14:58:46 +0100

gexiv2 (0.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 15 Sep 2010 15:22:10 +0200

gexiv2 (0.2.0-1) experimental; urgency=low

  * Set myself as maintainer.
  * New upstream release.
  * debian/libgexiv2-dev.install: install vapi files in usr/share/vala-0.10.
  * Update debian/libgexiv2-0.symbols.i386 file.
  * debian/rules: update dh_makeshlibs call.
  * debian/control: remove Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 24 Aug 2010 16:11:29 +0200
