=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
-Standards-Version: 3.9.0
-Homepage: http://trac.yorba.org/wiki/gexiv2
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gexiv2/ubuntu
+Standards-Version: 3.9.2
+Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
+DM-Upload-Allowed: yes
 
 Package: libgexiv2-0
 Architecture: any
