## gexiv2 0.3.1

=== debian/changelog ===
gexiv2 (0.3.1-2) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #656749).
  * debian/control:
    - Build-depend against libexiv2-dev (>= 0.21).
    - Breaks shotwell (<< 0.12).
  * debian/libgexiv2-0.symbols.amd64:
    - Refresh for new upstream version.
  * debian/rules:
    - Bump dh_makeshlibs version.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 09 Feb 2012 23:21:25 +0100
