=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.19), libexpat1-dev
+Build-Depends: debhelper (>= 7.0.50~), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
 Standards-Version: 3.9.2
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 DM-Upload-Allowed: yes
@@ -11,6 +11,7 @@
 Package: libgexiv2-0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: shotwell (<< 0.12)
 Description: GObject-based wrapper around the Exiv2 library
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.
