=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-0 (>= 0.3.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS
