## gexiv2 0.4.1

=== debian/changelog ===
gexiv2 (0.4.1-3) unstable; urgency=low

  * Team upload
  * debian/libgexiv2-1.symbols.amd64:
    - Mark constructor symbols as optional (Closes: #671951).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 May 2012 08:46:04 +0200

gexiv2 (0.4.1-2) unstable; urgency=low

  * Team upload to unstable.
  * debian/libgexiv2-1.symbols.amd64:
    - Refresh symbols file (Closes: #667176).
  * debian/rules:
    - Bump minimum version in dh_makeshlibs to 0.4.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 May 2012 18:01:18 +0200

gexiv2 (0.4.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/soname.patch:
    - Removed, already implemented upstream.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/copyright:
    - Convert to DEP5 format.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 Apr 2012 13:20:38 +0200

gexiv2 (0.3.92-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches/soname.patch:
    - Cherry-pick patch from upstream to bump SONAME.
  * debian/control:
    - Rename shared library and debug packages after SONAME bump.
    - Bump Standards-Version to 3.9.3, no changes required.
  * debian/libgexiv2-1.install:
    - Renamed from libgexiv2-0.install after SONAME bump.
  * debian/rules:
    - Rename debug package after SONAME bump.
    - Adjust dh_makeshlibs call.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Mar 2012 01:01:16 +0100
