=== debian/changelog ===
gexiv2 (0.4.90-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1043622)
  * debian/control:
    - Add build-depends on gobject-introspection, libgirepository1.0-dev,
      python, python-gi, python3, python3-gi
    - Add gir1.2-gexiv2-0.4 package
  * debian/rules:
    - Compile with --enable-introspection
  * debian/watch:
    - Use unstable directory
    - Use .xz file
  * debian/patches/create-dirs.patch:
    - Create directories on install
  * debian/patches/missing-gexiv2-py.patch:
    - Add missing GExiv2.py file

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Sep 2012 23:07:22 +1200

gexiv2 (0.4.1-3build1) quantal; urgency=low

  * No-change rebuild for libexiv2-12.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 May 2012 17:21:21 -0400
