=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9), libtool, m4, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
+Build-Depends: debhelper (>= 9), libtool, m4, gobject-introspection, libgirepository1.0-dev, python, python-gi, python3, python3-gi, libglib2.0-dev, libexiv2-dev (>= 0.21), libexpat1-dev
 Standards-Version: 3.9.3
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 DM-Upload-Allowed: yes
@@ -21,7 +21,7 @@
 Package: libgexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libgexiv2-1 (= ${binary:Version}), libexiv2-dev
+Depends: ${misc:Depends}, libgexiv2-1 (= ${binary:Version}), gir1.2-gexiv2-0.4 (= ${binary:Version}), libexiv2-dev
 Description: GObject-based wrapper around the Exiv2 library (development files)
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.
@@ -38,3 +38,16 @@
  features of Exiv2 available to GNOME applications.
  .
  This package contains debugging symbols.
+
+Package: gir1.2-gexiv2-0.4
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the gexiv2 library
+ This package contains introspection data for gexiv2, a GObject-based wrapper
+ around the Exiv2 library.
+ .
+ It can be used by packages using the GIRepository format to generate 
+ dynamic bindings.
