=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libgexiv2-1-dbg --with gir

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-1 (>= 0.4.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS
