## gexiv2 0.5.0

=== debian/changelog ===
gexiv2 (0.5.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/create-dirs.patch:
  * debian/patches/missing-gexiv2-py.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 10:07:44 +1300
