=== debian/watch ===
version=3
http://yorba.org/download/gexiv2/([\d\.]+)/libgexiv2-([0-9\.]*)\.tar\.xz
