## gexiv2 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME = gexiv2
-VERSION = 0.4.90
+VERSION = 0.6.1
 WORD_SIZE:=$(shell getconf LONG_BIT)
 
 # This was necessary because the typelib files don't seem to load if the
@@ -9,7 +9,7 @@
 # This number must be edited whenever a change has been made that may affect libgexiv2's
 # external interface.  Please see http://sourceware.org/autobook/autobook/autobook_91.html
 # for the version numbering convention that should be used for this.
-VERSION_INFO = 1:0:0
+VERSION_INFO = 2:0:0
 
 LIBRARY = lib$(PKGNAME)
 LIBRARY_BIN = $(LIBRARY).la
@@ -100,7 +100,7 @@
 PC_INPUT = $(PKGNAME).m4
 PC_FILE = $(PKGNAME).pc
 
-DIST_FILES = Makefile configure $(EXPANDED_SRC_FILES) $(EXPANDED_HEADER_FILES) $(EXPANDED_VAPI_INPUT) \
+DIST_FILES = Makefile configure GExiv2.py $(EXPANDED_SRC_FILES) $(EXPANDED_HEADER_FILES) $(EXPANDED_VAPI_INPUT) \
 	$(VAPI_FILE) $(PC_INPUT) AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS
 
 DIST_TAR = $(LIBRARY)-$(VERSION).tar
@@ -125,9 +125,9 @@
 # setting CFLAGS in configure.mk overrides build type
 ifndef CFLAGS
 ifdef BUILD_DEBUG
-CFLAGS = -O0 -g -pipe -nostdlib
+CFLAGS = -O0 -g -pipe -nostdlib -shared
 else
-CFLAGS = -O2 -g -pipe -nostdlib
+CFLAGS = -O2 -g -pipe -nostdlib -shared
 endif
 endif
 
@@ -150,6 +150,7 @@
 		$(EXPANDED_INSTALLED_HEADER_FILES)      \
 		$(EXPANDED_SRC_FILES)                   \
 		--library $(LIBRARY_BIN)                \
+		$(LIBTOOL)                              \
 		--pkg=gobject-2.0
 
 clean:
@@ -165,7 +166,7 @@
 
 dist: $(DIST_FILES)
 	mkdir -p $(LIBRARY)-$(VERSION)
-	cp --parents $(DIST_FILES) $(LIBRARY)-$(VERSION)
+	cp --parents --preserve $(DIST_FILES) $(LIBRARY)-$(VERSION)
 	tar --xz -cvf $(DIST_TAR_XZ) $(LIBRARY)-$(VERSION)
 	rm -rf $(LIBRARY)-$(VERSION)
 
@@ -186,13 +187,17 @@
 	@mkdir -p $(DESTDIR)$(PREFIX)/share/vala/vapi
 	$(INSTALL_DATA) $(VAPI_FILE) $(DESTDIR)$(PREFIX)/share/vala/vapi
 ifdef ENABLE_INTROSPECTION
+	-@mkdir -p $(DESTDIR)$(PREFIX)/share/gir-1.0
 	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).gir $(DESTDIR)$(PREFIX)/share/gir-1.0
+	@mkdir -p $(DESTDIR)$(TYPELIB)
 	$(INSTALL_DATA) GExiv2-$(GIR_VERSION).typelib $(DESTDIR)$(TYPELIB)
 # No introspection, no .gi file for the Python module to call into
 ifneq "$(PYTHON2)" ""
+	@mkdir -p $(DESTDIR)$(PYTHON2)
 	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON2)
 endif
 ifneq "$(PYTHON3)" ""
+	@mkdir -p $(DESTDIR)$(PYTHON3)
 	$(INSTALL_DATA) GExiv2.py $(DESTDIR)$(PYTHON3)
 endif
 endif
@@ -226,11 +231,11 @@
 $(PC_FILE): $(PC_INPUT) Makefile $(CONFIG_IN)
 	m4 '--define=_VERSION_=$(VERSION)' '--define=_PREFIX_=$(PREFIX)' $< > $@
 
-$(EXPANDED_OBJ_FILES): $(BUILD_DIR)/%.o: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
+$(EXPANDED_LO_FILES): $(BUILD_DIR)/%.lo: gexiv2/%.cpp $(EXPANDED_HEADER_FILES) $(CONFIG_IN) Makefile
 	@pkg-config --print-errors --exists '$(EXT_PKG_VERSIONS)'
 	@mkdir -p $(BUILD_DIR)
-	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) -I. -o $@ $<
-
-$(LIBRARY_BIN): $(EXPANDED_OBJ_FILES)
-	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(LDFLAGS) -version-info $(VERSION_INFO) -o $(LIBRARY_BIN)
-
+	libtool --mode=compile --tag=CC $(CXX) -c $(EXT_PKGS_CFLAGS) $(CFLAGS) $(CPPFLAGS) -I. -o $@ $<
+
+$(LIBRARY_BIN): $(EXPANDED_LO_FILES)
+	libtool --mode=link --tag=CC $(CXX) -rpath $(PREFIX)/$(LIB) $(EXPANDED_LO_FILES) $(EXT_PKGS_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -version-info $(VERSION_INFO) -o $(LIBRARY_BIN)
+
