=== debian/changelog ===
gexiv2 (0.6.1-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 20:49:49 +0200

gexiv2 (0.6.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    - Rename shared library and debug packages after SONAME bump.
  * debian/copyright:
    - Add missing copyright information.
    - Update copyright years.
  * debian/libgexiv2-2.install:
    - Renamed from libgexiv2-1.install after SONAME bump.
  * debian/libgexiv2-1.lintian-overrides:
    - Removed, no longer needed.
  * debian/rules:
    - Rename debug package after SONAME bump.
    - Adjust dh_makeshlibs call.
  * debian/watch:
    - Fix watch file to match upstream tarball names.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 20 Mar 2013 23:52:10 +0100

gexiv2 (0.5.0-2) experimental; urgency=low

  * Team upload.
  * debian/control:
    - Build depend on python-gi and python3-gi.
  * debian/gir1.2-gexiv2-0.4.install:
    - Install Python introspection override files (Closes: #697204).
  * debian/patches/python2.patch:
    - Correct Python 2.X interpreter name. Debian does not have a
      python2 link (yet), relying on it broke the generation of
      the introspection override files.
  * debian/libgexiv2-1.lintian-overrides:
    - hardening-check discovers unprotected functions only.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 31 Jan 2013 20:45:40 +0100

gexiv2 (0.5.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Add support for GObject introspection (Closes: #690940).
  * debian/control:
    - Remove DM-Upload-Allowed field.
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/watch:
    - Track xz tarballs.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 28 Nov 2012 12:06:29 +0100
