=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libtool,
               m4,
               libglib2.0-dev,
               libexiv2-dev (>= 0.21),
               libexpat1-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               python-gi,
               python3-gi
Standards-Version: 3.9.4
Homepage: http://redmine.yorba.org/projects/gexiv2/wiki

Package: libgexiv2-2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: shotwell (<< 0.12)
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.4
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgexiv2-2 (= ${binary:Version}),
         gir1.2-gexiv2-0.4 (= ${binary:Version}),
         libexiv2-dev
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgexiv2-2 (= ${binary:Version})
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.
