=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir --dbg-package=libgexiv2-2-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-2 (>= 0.6.1)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS
