## gexiv2 0.7.0

=== debian/changelog ===
gexiv2 (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libgexiv2-2.symbols.amd64:
    - Refresh for new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/rules:
    - Adjust dh_makeshlibs call.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 25 Dec 2013 14:31:08 +0100
