=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgirepository1.0-dev,
                python-gi,
                python3-gi
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://redmine.yorba.org/projects/gexiv2/wiki
 
 Package: libgexiv2-2
