=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_auto_configure -- --enable-introspection
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libgexiv2-2 (>= 0.6.1)'
+	dh_makeshlibs -V 'libgexiv2-2 (>= 0.7.0)'
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
