## gexiv2 0.10.0

=== debian/changelog ===
gexiv2 (0.10.0-1ubuntu1) trusty; urgency=medium

  * Use Conflicts/Replaces to remove the old gir1.2-gexiv0.4 instead of
    Breaks/Replaces which isn't enough for all resolvers.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Apr 2014 10:42:38 +0100

gexiv2 (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Mar 2014 13:48:58 +0100

gexiv2 (0.9.1-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/exiv2_pc.patch:
    - Remove exiv2 from required bindings, it is not needed.
  * debian/patches/python2.patch:
    - Removed, no longer used.
  * debian/control:
    - Re-add myself as Uploader.
    - Enable multi-arch support.
    - Build-depend on dh-autoreconf instead of libtool and m4.
    - Drop libexpat1-dev from Build-Depends field.
    - Rename introspection package to gir1.2-gexiv2-0.10 to
      match version.
    - Replace libexiv2-dev with libglib2.0-dev in libgexiv2-dev
      package Depends field, thanks to Pino Toscano (Closes: #733109).
    - Adjust Homepage field to reflect the the new location.
  * debian/gir1.2-gexiv2-0.10.install:
    - Rename from gir1.2-gexiv2-0.4.install to match version.
  * debian/libgexiv2-2.symbols:
    - Refresh symbols file with new definitions
  * debian/rules:
    - Add dh_autoreconf sequencer.
    - Adjust dh_makeshlibs call.
  * debian/watch:
    - Point to the GNOME FTP server.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Feb 2014 10:52:52 +0100
