=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>,
           Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev,
               libexiv2-dev (>= 0.21),
               gobject-introspection,
               libgirepository1.0-dev,
               python-gi,
               python3-gi
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Projects/gexiv2

Package: libgexiv2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: shotwell (<< 0.12)
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.10
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.2-gexiv2-0.4
Replaces: gir1.2-gexiv2-0.4
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgexiv2-2 (= ${binary:Version}),
         gir1.2-gexiv2-0.10 (= ${binary:Version}),
         libglib2.0-dev
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgexiv2-2 (= ${binary:Version})
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.
