## gexiv2 0.10.1

=== debian/changelog ===
gexiv2 (0.10.1-1build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 14:52:06 +1200

gexiv2 (0.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix broken Python binding (Closes: #745596).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Apr 2014 11:43:18 +0200
