=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
+Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>,
            Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -35,7 +34,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: gir1.2-gexiv2-0.4
+Breaks: gir1.2-gexiv2-0.4
 Replaces: gir1.2-gexiv2-0.4
 Multi-Arch: foreign
 Description: GObject-based wrapper around the Exiv2 library - introspection data
