## gexiv2 0.10.2

=== debian/changelog ===
gexiv2 (0.10.2-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build-depend on libtool-bin (Closes: #761750).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 10 Oct 2014 13:58:31 +0200

gexiv2 (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/smoketest, debian/tests/gir.smoketest:
    - Provide some simple tests to check whether the packages are
      fucntional, as per DEP8 (autopkgtests).
  * debian/control:
    - Bump Standards-Version to 3.9.6, no changes required.
    - Make gir1.2-gexiv2-0.10 multiarch-same.
  * debian/gir1.2-gexiv2-0.10.install:
    - Look for multiarch path.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 26 Sep 2014 22:45:13 +0200
