=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
            Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libtool-bin,
                libglib2.0-dev,
                libexiv2-dev (>= 0.21),
                gobject-introspection,
                libgirepository1.0-dev,
                python-gi,
                python3-gi
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Projects/gexiv2
+XS-Testsuite: autopkgtest
 
 Package: libgexiv2-2
 Architecture: any
@@ -36,7 +38,7 @@
          ${misc:Depends}
 Breaks: gir1.2-gexiv2-0.4
 Replaces: gir1.2-gexiv2-0.4
-Multi-Arch: foreign
+Multi-Arch: same
 Description: GObject-based wrapper around the Exiv2 library - introspection data
  gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
  features of Exiv2 available to GNOME applications.
